Zeitgeist.Log.insert_events – zeitgeist-2.0 Reference Manual

# insert_events

## Description:

public async Array<uint32> insert_events (GenericArray<Event> events, Cancellable? cancellable = null) throws Error

Asynchronously send a set of events to the Zeitgeist daemon, requesting they be inserted into the log.

## Parameters:

events | An GLib.GenericArray of Event
cancellable | a GLib.Cancellable to cancel the operation or %NULL